Subject: [Shop-talk] Rust belt truck?

From: Pat Horne <[email-masked]>
Date: Mon, 29 Jul 2013 21:38:48 -0500

Living in Texas and growing up on the west coast I am not very familiar 
with the affects of rust on vehicles.

I have been offered a 2000 Chevy extended cab, 4x4 pickup, 110,000 miles 
w/leather interior that looks good for its age for $5000. The problem is 
that both rocker panels are in need of replacement and about 25% of the 
paint on the frame has been replaced with surface rust. The rocker 
panels are not a big deal, but I am concerned about the frame rust. Is 
this something that a rust converter and paint will take care of, or 
should I pass on this vehicle? Other than the rust it looks to be very 
clean, and everything works on it!

Thanks in advance.

Peace,
Pat
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive